Bug 1159015 - [abrt] nemo: gtk_tree_row_ref_deleted(): nemo killed by SIGSEGV
Summary: [abrt] nemo: gtk_tree_row_ref_deleted(): nemo killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4db4f51c23612c2ee7aa79f9478...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 17:11 UTC by Paul
Modified: 2014-12-15 04:27 UTC (History)
4 users (show)

Fixed In Version: gtk3-3.14.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:27:47 UTC


Attachments (Terms of Use)
File: backtrace (35.64 KB, text/plain)
2014-10-30 17:11 UTC, Paul
no flags Details
File: cgroup (180 bytes, text/plain)
2014-10-30 17:11 UTC, Paul
no flags Details
File: core_backtrace (19.44 KB, text/plain)
2014-10-30 17:11 UTC, Paul
no flags Details
File: dso_list (9.81 KB, text/plain)
2014-10-30 17:11 UTC, Paul
no flags Details
File: environ (1.25 KB, text/plain)
2014-10-30 17:11 UTC, Paul
no flags Details
File: exploitable (82 bytes, text/plain)
2014-10-30 17:11 UTC, Paul
no flags Details
File: limits (1.29 KB, text/plain)
2014-10-30 17:12 UTC, Paul
no flags Details
File: maps (50.84 KB, text/plain)
2014-10-30 17:12 UTC, Paul
no flags Details
File: open_fds (4.36 KB, text/plain)
2014-10-30 17:12 UTC, Paul
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-10-30 17:12 UTC, Paul
no flags Details
File: var_log_messages (608 bytes, text/plain)
2014-10-30 17:12 UTC, Paul
no flags Details

Description Paul 2014-10-30 17:11:50 UTC
Version-Release number of selected component:
nemo-2.2.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        nemo -n
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/nemo
kernel:         3.16.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2130
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2509
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9057
 #7 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #8 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #9 remove_file at gtkfilesystemmodel.c:1912
 #10 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 Paul 2014-10-30 17:11:53 UTC
Created attachment 952260 [details]
File: backtrace

Comment 2 Paul 2014-10-30 17:11:54 UTC
Created attachment 952261 [details]
File: cgroup

Comment 3 Paul 2014-10-30 17:11:56 UTC
Created attachment 952262 [details]
File: core_backtrace

Comment 4 Paul 2014-10-30 17:11:57 UTC
Created attachment 952263 [details]
File: dso_list

Comment 5 Paul 2014-10-30 17:11:58 UTC
Created attachment 952264 [details]
File: environ

Comment 6 Paul 2014-10-30 17:11:59 UTC
Created attachment 952265 [details]
File: exploitable

Comment 7 Paul 2014-10-30 17:12:00 UTC
Created attachment 952266 [details]
File: limits

Comment 8 Paul 2014-10-30 17:12:02 UTC
Created attachment 952267 [details]
File: maps

Comment 9 Paul 2014-10-30 17:12:03 UTC
Created attachment 952268 [details]
File: open_fds

Comment 10 Paul 2014-10-30 17:12:04 UTC
Created attachment 952269 [details]
File: proc_pid_status

Comment 11 Paul 2014-10-30 17:12:05 UTC
Created attachment 952270 [details]
File: var_log_messages

Comment 12 Fedora Update System 2014-12-12 04:52:58 UTC
gtk3-3.14.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.6-1.fc21

Comment 13 Fedora Update System 2014-12-13 09:45:56 UTC
Package gtk3-3.14.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16867/gtk3-3.14.6-1.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-12-15 04:27:47 UTC
gtk3-3.14.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.